# Create or update the job description

Creates a job description entity if it does not exist or updates the job description entity. It confirms that the job exists and that the user has permission to access it. Properties or relations not included in the request will be set to null.

Endpoint: PUT /api/jobs/{id}/description
Version: v2.0
Security: OAuth2

## Security:

  - `OAuth2` (unknown)
    oauth2

## Path parameters:

  - `id` (integer, required)
    The ID for the job, for example `39596`.

## Request body:

  - `application/json` (unknown)
    The request containing the job description information.

## Request fields (application/json):

  - `id` (integer)
    The unique job description ID.

  - `identifier` (string)
    The unique job description identifier.

  - `properties` (object)
    The job description properties.

  - `relations` (object)
    The job description relations.

  - `is_root_taxonomy_item` (boolean)
    A value indicating whether the job description is a root taxonomy item.

  - `is_path_root` (boolean)
    A value indicating whether the job description is a path root.

  - `entity_definition` (object)
    Represents a link to a resource.

  - `entity_definition.href` (string)
    Gets or sets the URI that points to the resource this link refers to.

  - `entity_definition.filename_properties` (array)
    Gets or sets the URI that points to the resource this link refers to.

  - `entity_definition.title` (string)
    Gets or sets the title that describes this link.

  - `entity_definition.templated` (boolean)
    Gets or sets a value indicating whether the contained URI is a template.

  - `is_system_owned` (boolean)
    A value indicating whether the job description is system owned.

  - `inherits_security` (boolean)
    A value indicating whether the job description inherits security.

## Response 201:

  - `201` (unknown)
    Job description successfully created.

## Response 204:

  - `204` (unknown)
    Job description successfully updated.

## Response 400:

  - `400` (unknown)
    Request not valid or error during operation.

## Response 401:

  - `401` (unknown)
    Unauthorized request.

## Response 404:

  - `404` (unknown)
    Entity not found or user not authorized.

